<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>인풋박스</title>

</head>
<body>
<div>
    <ul>
        <li>input 태그는 입력 요소를 만드는 태그이다.</li>
        <li>input 태그는 type 속성을 통해 형태와 입력 값 유형을 결정한다.</li>
        <li>type값에 따른 사용 방법이 다양하다.</li>
        <li>웹페이지 내에서의 역할, 추가 속성 등</li>
        <li>name 속성으로 input 요소를 나눌 수 있음</li>

    </ul>

input
사용자로부터 값을 입력받을 수 있는 대화형 컨트롤(또는 필드)를 나타낸다
    <br>
기본적으로 인라인 요소이며, 단일 태그임
</div>
<table style="border:10px solid gray">
    <th>인풋은 타입에 따라 입력요소가 달라짐</th>
    <br>
    <td>사용 가능한 타입은 20여 가지, 기본형은 text임</td>
</table>
<br><br>
<OL>
    <LI>input 태그에는 name 식별자를 추가할 수 있다.</LI>
    <LI>이는 각각의 입력 항목에 대한 이름이다.</LI>
    <LI>"placeholder" 기능은 입력 전에 메세지 띄워주는거임.</LI>
    <LI> maxlength 문자 수 제한</LI>
    <LI>버튼에 무언가를 써주려면 value 기능을 넣어주면 됩니다.</LI>
    <LI>플레이스 홀더 같은 느낌을 보면 될 것이다.</LI>
    <LI>색상칸에 간단하게 안내문구 쓰고싶으면 그냥 텍스트 써라.</LI>
    <LI>RANGE 에는 범위가 얼마나 되는지 확인시켜주려면 MAX MIN 추가해줘</LI>
    <li>name은 인풋이라는 이름가진 박스들에게 서로 식별할 수 있게 도아줌.</li>
</OL>
<br>
<input name="text" type="text" maxlength="5" placeholder="메세지 입력하라"/>
<br>
<input name="push"type="button" value="PUSH" name="노무"/>
<br>
<input name="color" type="color" name="노무"/> 푸른색
<br>
<input name="score" type="range" max="200" min="0" step = "20" />
<br>
<input  name="birthdata" type="data" name="노무"/>
<br>
<input />

</body>
</html>